﻿Imports System.IO

Public Class FormMain
    Private Async Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Try
            Dim DirPath As String = Path.Combine(My.Application.Info.DirectoryPath, "OutFiles")

            Dim Generator As New TestGenerator
            Dim TaskList As New List(Of Task)

            For i As Integer = 1 To 12
                Generator = New TestGenerator
                Generator.DocName = "TestPDF" & i.ToString & ".pdf"
                Generator.Suffix = i.ToString
                Generator.SaveDirectoryPath = DirPath
                TaskList.Add(Generator.GenerateAsync)
                If i Mod 12 = 0 Then
                    Await Task.WhenAll(TaskList)
                    TaskList.Clear()
                End If
            Next

            If MessageBox.Show("Creation finished" & vbCrLf & vbCrLf & "Do you want me to open the output folder?", "Done", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = DialogResult.Yes Then
                Process.Start("explorer.exe", DirPath)
            End If
        Catch ex As Exception
            Debug.Print(ex.ToString)
        End Try
    End Sub
End Class
